﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Registration.Models;

namespace Registration.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/
        [HttpGet]
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(string name)
        {
            return RedirectToAction("Details", "Home", new { name = name });
        }

        [HttpGet]//Run action method on first request
        public ActionResult Details(string name)
        {
            UserDetails user = new UserDetails();
            user.Name = name;
            return View(user);
        }

        [HttpPost]//Run action method on form submission
        public ActionResult Details(UserDetails user)
        {
            if (ModelState.IsValid)
                return View("Confirmation", user);
            else
                return View(user);
        }

    }
}
